<!doctype html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" layout:decorate="~{layouts/main}">
<head>
<style type="text/css">
.autocomplete-suggestions { border: 1px solid #999; background: #FFF; overflow: auto; }
/*
.autocomplete-suggestion { padding: 2px 5px; white-space: nowrap; overflow: hidden; }
.autocomplete-selected { background: #F0F0F0; }
.autocomplete-suggestions strong { font-weight: normal; color: #3399FF; }
.autocomplete-group { padding: 2px 5px; }
.autocomplete-group strong { display: block; border-bottom: 1px solid #000; }
*/
</style>
</head>
<body>
		<div layout:fragment="maincontent">
			<br><br>
			<div class="container" align="center">
				<div class="col-md-6">
					<form>
						<div class="form-group">
							<input type="text" class="form-control" name="bdnm" id="nama" placeholder="Masukkan Nama">
						</div>
						<div class="form-group">
							<input type="text" class="form-control" name="bdaddr" id="alamat" placeholder="Masukkan Alamat">
                        </div>
                        <div class="form-group">
							<input type="text" class="form-control" name="bdaddr" id="alamat" placeholder="Masukkan Pekerjaan">
						</div>
						<div class="form-group">
							<button type="button" class="btn btn-primary btn-block" id="btn-simpan">Simpan</button>
						</div>
					</form>
				</div>
			</div>
			<div class="container" align="center">
				<table class="table table-striped">
					<thead>
						<tr>
							<th>ID</th>
							<th>Nama</th>
                            <th>Alamat</th>
                            <th>Pekerjaan</th>
						</tr>
					</thead>
					<tbody id="data">
					</tbody>
				</table>
			</div>
		</div>
<script layout:fragment="bottom-script">
    $(document).ready(function() {
	console.log('test');
	var $nama = $('#nama');
    var $alamat = $('#alamat');
    var $pekerjaan = $('#pekerjaan')

	$('#btn-simpan').on('click', function(){
		var dataInput = {
			nama: $nama.val(),
            alamat: $alamat.val(),
            pekerjaan: $pekerjaan.val(),
		};

		$.ajax({
			type: 'POST', 
			url: '/biodata/',
			contentType: 'application/json',
			dataType: 'json',
			data: dataInput,
			success: function(data){
				console.log(+'Nama : '+ data.nama +' Alamat : '+ data.alamat +' Pekerjaan : '+ data.pekerjaan);

			},
			error: function(){
				console.log('error');
			}
		})
	})
});
        </script>
</body>
</html>